jQuery(
	function () {
		// 管理画面上部にライセンス関連のメッセージを表示
		jQuery( '.qahm-license-message > button.notice-dismiss' ).on(
			'click',
			function(){
				let no = jQuery( this ).parent().data( 'no' );
				jQuery.ajax(
					{
						type: 'POST',
						url: qahm.ajax_url,
						data: {
							'action' : 'qahm_ajax_clear_license_message',
							'no': no
						}
					}
				).done(
					function( res ){
						qahm.log( 'done : qahm_ajax_clear_license_message' );
					}
				).fail(
					function( jqXHR, textStatus, errorThrown ){
						qahm.log_ajax_error( jqXHR, textStatus, errorThrown );
					}
				);
			}
		);

		// 1周年キャンペーンのメッセージを表示
		if ( ! qahml10n.campaign_oneyear_popup ) {
			jQuery.ajax(
				{
					type: 'POST',
					url: qahm.ajax_url,
					data: {
						'action' : 'qahm_ajax_view_oneyear_popup',
					}
				}
			).done(
				function( res ){
					if ( res === '1' ) {
						qahm.startConfetti();
						AlertMessage.alert(
							qahml10n.campaign_oneyear_title,
							qahml10n.campaign_oneyear_text,
							'success',
							function(){
								qahm.stopConfetti();
							}
						);
					}
				}
			).fail(
				function( jqXHR, textStatus, errorThrown ){
					qahm.log_ajax_error( jqXHR, textStatus, errorThrown );
				}
			);
		}
	}
);