/*
// 全ページの画面を保存し直す
qahm.allPageSave = function() {
	jQuery.Deferred(
		function(d) {
			// 翻訳メッセージの取得
			jQuery.ajax(
				{
					type: 'POST',
					url: qahm.ajax_url,
					dataType : 'json',
					data: {
						'action' : 'qahm_ajax_get_translate_admin_config',
					},
				}
			).done(
				function( data ){
					qahm.translate = data;
					d.resolve();
				}
			).fail(
				function( jqXHR, textStatus, errorThrown ){
					qahm.log_ajax_error( jqXHR, textStatus, errorThrown );
					d.reject();
				}
			);
		}
	)
	.then(
		// playボタン
		function(){
			jQuery( '.fa-play-circle' ).click(function () {
				AlertMessage.confirm(
					qahm.translate['play_title'],
					qahm.translate['play_text'],
					'warning'
					);
			});
		}
	);

	if ( ! document.querySelector( '#allpage-save' ) ) {
		return;
	}
	jQuery( '#allpage-save' ).on(
		'click',
		function() {
			let result = window.confirm( '計測フラグが有効になっている全ページの画面を保存しなおしますか？' );
			if ( ! result ) {
				return; }

			jQuery.ajax(
				{
					type: 'POST',
					url: qahm.ajax_url,
					data: {
						'action' : 'qahm_ajax_allpage_save'
					}
				}
			).done(
				function( data ){
					qahm.alert( '全ページの画面を保存しなおしました。' );
				}
			).fail(
				function( jqXHR, textStatus, errorThrown ){
					qahm.log_ajax_error( jqXHR, textStatus, errorThrown );
				}
			);
		}
	);
};
*/