var qahm         = qahm || {};
qahm.initBehData = false;
qahm.initDate    = new Date();

 try {
	document.cookie = 'y';
	if ( document.cookie === '' ) {
		throw new Error( 'qa: Measurement failed because cookie is invalid.' );
	}

	var xhr = new XMLHttpRequest();
	let sendStr = 'action=qahm_ajax_init_user_data';
	sendStr += '&nonce=' + encodeURIComponent( qahm.nonce_init );
	sendStr += '&url=' + encodeURIComponent( location.href );
	sendStr += '&title=' + encodeURIComponent( document.title );
	sendStr += '&type=' + encodeURIComponent( qahm.type );
	sendStr += '&id=' + encodeURIComponent( qahm.id );
	sendStr += '&window_width=' + encodeURIComponent( window.screen.width );
	sendStr += '&window_height=' + encodeURIComponent( window.screen.height );
	sendStr += '&referrer=' + encodeURIComponent( document.referrer );
	sendStr += '&country=' + encodeURIComponent( (navigator.userLanguage||navigator.browserLanguage||navigator.language).substr(0,2) );

	xhr.open( 'POST', qahm.ajax_url, true );
	xhr.onload = function () {
		let data = JSON.parse(xhr.response);
		if ( data && data.readers_name ) {
			qahm.readersName      = data.readers_name;
			qahm.readersBodyIndex = data.readers_body_index;
			qahm.rawName          = data.raw_name;
			qahm.initBehData      = true;
			console.log( 'qa: init success.' );
		} else {
			throw new Error( 'qa: init failed. HttpStatus: ' + xhr.statusText );
		}
	}
	xhr.setRequestHeader( 'Content-Type', 'application/x-www-form-urlencoded' );
	xhr.send( sendStr );

} catch (e) {
    console.error( e.message );
}